Page MenuHomePhabricator

Change ownership of wikimania-program@lists.wikimedia.org
Closed, ResolvedPublic

Description

I am now the event manager for Wikimania and was told by our programming chair that I should ask for ownership of this list: wikimania-program@lists.wikimedia.org. I was told by @Rfarrand that you may be able to help.

Event Timeline

ICueva created this task.Apr 10 2019, 6:09 PM
Restricted Application added a project: Operations. · View Herald TranscriptApr 10 2019, 6:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

We certainly can! (I'm on SRE clinic duty this week, hence handing ML requests too)

Which email address should we be adding to wikimania-program list? Also the current owner (itai@wikimedia.org) should be kept?

Quiddity reassigned this task from Dzahn to fgiunchedi.Apr 11 2019, 6:59 PM
Quiddity added a subscriber: Dzahn.

Add: icueva@wikimedia.org
Remove: itai@wikimedia.org
Thanks!

fgiunchedi reassigned this task from fgiunchedi to ICueva.Apr 12 2019, 9:10 AM

This is done, please let us know if you need a new password for the list as well!

Hello, how would I add emails to this list?

Also, what is the difference between a list and a google group?

Hello, how would I add emails to this list?

You can add new subscribers to the list at this page:
https://lists.wikimedia.org/mailman/admin/wikimania-program/members/add
If you need another admin, or a 1:1 meeting to explain part of the software, I'm willing to help (nwilson@wikimedia.org). You can add other admins at this page:
https://lists.wikimedia.org/mailman/admin/wikimania-program/general

Also, what is the difference between a list and a google group?

It's complicated!
Technically: Mailing list addresses that end in @lists.wikimedia.org are GNU Mailman lists, so you can manage your subscriptions and browse any archives at https://lists.wikimedia.org. Those ending in @wikimedia.org are Google Groups, so you would do that at https://groups.google.com instead.
Sociopolitically/etc: The movement started off with just a Mailman list and the wikis (see detailed history), but has been fragmenting across additional platforms over the years, and more so recently. (cf. https://xkcd.com/1810/). Mailman is open-source, but we're currently using a very outdated version (v.2) partially because migrating to the overhauled new version (v.3) is hard because of our prolific usage (1,114,671 posts, currently). Google groups offers some different features, many of which are especially useful for WMF staff, but is closed-source and run by a large corporation (to put it diplomatically). Many other factors/perspectives, too.

Thank you so much! Looks like a need a password to add emails to this list,
would you be able to send that to me?

@fgiunchedi Yes, please reset the password for this list. :-)

Dzahn added a comment.Apr 12 2019, 8:52 PM

@ICueva I ran a script that resets the password to something new and sends it to the list owners. Since you are now owner you should have received an email just now with the new password.

Dzahn added a comment.EditedApr 12 2019, 8:56 PM

@ICueva Also there is the listinfo page at https://lists.wikimedia.org/mailman/listinfo/wikimania-program which describes the list and where users can request to be subscribed themselves. If you want to you could even edit the contents and design of that list info page via your admin interface. You can also change a whole lot of other settings as you like.

Dzahn closed this task as Resolved.Apr 19 2019, 11:33 PM

You should have received the new password a week ago. If not for some reason, please simply reopen the ticket.